Skip to main content
GET
/
contracts
/
{contractId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.contracts.getContractAsset(contractsApiGetContractAssetRequest);
{
  "id": "<string>",
  "address": "<string>",
  "balance": 123,
  "lockedAmount": 123,
  "tag": "<string>",
  "activationTime": "<string>",
  "additionalInfo": [
    {
      "accountHolderGivenName": "<string>",
      "accountHolderSurname": "<string>",
      "accountHolderCity": "<string>",
      "accountHolderCountry": "<string>",
      "accountHolderAddress1": "<string>",
      "accountHolderAddress2": "<string>",
      "accountHolderDistrict": "<string>",
      "accountHolderPostalCode": "<string>",
      "abaRoutingNumber": "<string>",
      "abaAccountNumber": "<string>",
      "abaCountry": "<string>",
      "iban": "<string>",
      "ibanCity": "<string>",
      "ibanCountry": "<string>",
      "speiClabe": "<string>",
      "speiName": "<string>"
    }
  ]
}

Path Parameters

contractId
string
required

The ID of the contract

assetId
string
required

The ID of the asset to return

Response

A Wallet Asset object

id
string
status
enum<string>
Available options:
WAITING_FOR_APPROVAL,
APPROVED,
CANCELLED,
REJECTED,
FAILED
address
string
balance
number
lockedAmount
number
tag
string
activationTime
string
additionalInfo
object[]